Gamemode - Error

Hello!

I get this fucked up error when i join my RP server (CIDER)
Couldn’t include file ‘cl_gBar.lua’ (File not found)
Couldn’t include file ‘cider/gamemode/cl_init.lua’ (File not found)



********** COULDN’T LOAD GAMEMODE!! **********



There was a problem opening the gamemode file ‘cider/gamemode/cl_init.lua’

But there is NOTHING wrong with it, i have the EXACT same copy of cider on an other host.
And it works just fine there, HEeeeeeEEeeLP!!!

Thx!
Steam: MariusAasgaard


(User was banned for this post ("Undescriptive thread title" - mahalis))

You sound like a respectable young lad. Try reading the error. Notice how it says it can’t find cl_init.

Whats the folder name? If it has a space in it, then the gamemode won’t load.

Hehe, i thought i said its there.
Its there, but it doesnt find anyway -;/

[editline]07:52PM[/editline]

The folder name is: “core” and it cant have spaces.
And the EXACT same copy works in my other server.

Do you have script enforce or a fast download? Sometimes they mess up, turn it all off and see if it works. The problem is, the clientside files aren’t getting sent from the server to the client.

I am hosting on UKGAME and i have fastdl inside /lua/autorun/server/here

But what u mean turn em off?

In the server config, disable sv_downloadurl (put // in front of it) and the same for script enforcer. Then restart the server, see if it made a difference.

Okok xD
addme: MariusAasgaard

HERE IS ORIGINAL ERROR (AND TURNING IT OFF DIDNT WORK)

Lua initialized (Lua 5.1)
======== Installing Table (De)Serialiser Module | ver: 1.4 ========
PCMod2: Loading BASE configuation file…
PCMod2: Loading ACTUAL configuation file…
PCMod2: Configuration file loaded!
PCMod2: Loaded plugin ‘darkrp_235’!
PCMod2: >> DarkRP 2.3.5 PCMod Plugin 1.0.0 Pre-Loaded! <<
PCMod2: PCMod Version 2.0.4 Installed
PCMod2: Loading PCMod Core…
— Missing Vgui material models/darksunrise/computer_ref
ERROR! Module ‘zlib_b64’ not found!
==== Advanced Duplicator v.1.72 shared module installed! ====
==== Advanced Duplicator v.1.741 client module installed! ====
Couldn’t include file ‘cl_gBar.lua’ (File not found)
Couldn’t include file ‘cider/gamemode/cl_init.lua’ (File not found)



********** COULDN’T LOAD GAMEMODE!! **********



There was a problem opening the gamemode file ‘cider/gamemode/cl_init.lua’

Registering gamemode ‘cider’ derived from ‘base’
Couldn’t include file ‘weapons/gmod_tool/object.lua’ (File not found)
Couldn’t include file ‘weapons/gmod_tool/ghostentity.lua’ (File not found)
Couldn’t include file ‘weapons/gmod_tool/stools/pcunwire.lua’ (File not found)
Couldn’t include file ‘weapons/gmod_tool/object.lua’ (File not found)
Couldn’t include file ‘weapons/gmod_tool/ghostentity.lua’ (File not found)
Couldn’t include file ‘weapons/gmod_tool/stools/pcwire.lua’ (File not found)
ASS Plugin -> plugins/ass_cleardecals.lua
ASS Plugin -> plugins/ass_exformat.lua
ASS Plugin -> plugins/ass_freeze.lua
ASS Plugin -> plugins/ass_god.lua
ASS Plugin -> plugins/ass_health.lua
ASS Plugin -> plugins/ass_kill.lua
ASS Plugin -> plugins/ass_map.lua
ASS Plugin -> plugins/ass_noclip.lua
ASS Plugin -> plugins/ass_notice.lua
ASS Plugin -> plugins/ass_slap.lua
ASS Plugin -> plugins/ass_team.lua
ASS Plugin -> plugins/ass_weapons.lua
Sending 9 ‘User Info’ ConVars to server (cl_spewuserinfoconvars to see)
Welcome to the server! Press F4 to view the music menu!
AdvDupeShared: Server Compression: false
Redownloading all lightmaps
PCMod2: >> DarkRP 2.3.5 PCMod Plugin 1.0.0 Post-Loaded! (NO DARKRP)<<

[editline]08:07PM[/editline]

And the SAME copy is on another server as i said.

Fucked up one: 89.238.152.246:27041

Working one: 83.222.232.63:27015

Please add me onsteam: MariusAasgaard

[editline]08:16PM[/editline]

Thomas? HELP!:slight_smile:

[editline]08:42PM[/editline]

Need help!! (bump)

Post the cl_init and init, I’m pretty sure an error can cause this some where.

He’s trolling the forum, don’t reply.


(User was banned for this post ("This isn't helpful" - mahalis))

See how the name differs?

Only slightly. :wink:

Just reinstall fixed that error for me.